Package de.willuhn.jameica.hbci.gui.input

# Class KontoartInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.SelectInput
de.willuhn.jameica.hbci.gui.input.KontoartInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class KontoartInput extends de.willuhn.jameica.gui.input.SelectInput
Auswahlfeld fuer die Kontoart.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`KontoartInput(Integer value)`
ct.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getValue()`
Liefert nicht die enum zurueck sonderen den Integer-Wert.

### Methods inherited from class de.willuhn.jameica.gui.input.SelectInput

`addListener, disable, enable, focus, format, getControl, getList, getText, isEnabled, setAttribute, setEditable, setEnabled, setList, setPleaseChoose, setPreselected, setValue`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setName, setValidChars, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KontoartInput

public KontoartInput(Integer value)
ct.

Parameters:
  `value` - die vorausgewaehlte ID.

## Method Details

### getValue

public Object getValue()
Liefert nicht die enum zurueck sonderen den Integer-Wert.

Specified by:
  `getValue` in interface `de.willuhn.jameica.gui.input.Input`
Overrides:
  `getValue` in class `de.willuhn.jameica.gui.input.SelectInput`
See Also:
  - `SelectInput.getValue()`